Bug 106440 - up2date fail, Traceback
up2date fail, Traceback
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 23:44 EDT by Josiah Royse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 10:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
up2date output (25.76 KB, text/plain)
2003-10-06 23:46 EDT, Josiah Royse
no flags Details

  None (edit)
Description Josiah Royse 2003-10-06 23:44:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
On a cleanly installed vanilla Fedora test-2 (redhat-release-0.94-2) after
registering with RHN.


Version-Release number of selected component (if applicable):
up2date-4.0.1-2 redhat-release-0.94-2

How reproducible:
Always

Steps to Reproduce:
1."up2date -u"
2."CTRL-C"  ## quit, to edit /etc/sysconfig/rhn/up2date to keep packages
3."up2date up2date" 
4. "up2date -u"
    

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1165, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 745, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1028, in batchRun
    batch.run()
  File "up2dateBatch.py", line 82, in run
  File "up2dateBatch.py", line 153, in __installPackages
  File "up2date.py", line 559, in installPackages
TypeError: 'in <string>' requires character as left operand


Expected Results:  up2date to finish

Additional info:

I don't know if the CTRL-C and changing the up2date config file did anything,
but it is included for posterity.

Edited /etc/sysconfig/rhn/up2date to "0" not keep packages, re-ran "up2date -u"
and got the same thing.
Comment 1 Josiah Royse 2003-10-06 23:46:24 EDT
Created attachment 94971 [details]
up2date output

here is the output from the command line

Note You need to log in before you can comment on or make changes to this bug.